%define anolis_release 2

%global srcname psutil
%global sum A process and system utilities module for Python

Name:           python-%{srcname}
Version:        5.9.2
Release:        %{anolis_release}%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://github.com/giampaolo/psutil
Source0:        %{url}/archive/release-%{version}/%{srcname}-%{version}.tar.gz
#
# skip 2 tests that fail in mock chroots
#
Patch0:         python-psutil-skip-tests-in-mock.patch

BuildRequires:  gcc
BuildRequires:  grep
BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
# Test dependencies
BuildRequires:  procps-ng

%description
psutil is a module providing an interface for retrieving information on all
running processes and system utilization (CPU, memory, disks, network, users) in
a portable way by using Python, implementing many functionalities offered by
command line tools such as: ps, top, df, kill, free, lsof, free, netstat,
ifconfig, nice, ionice, iostat, iotop, uptime, pidof, tty, who, taskset, pmap.


%package -n python%{python3_pkgversion}-psutil
Summary:        %{sum}


%description -n python%{python3_pkgversion}-psutil
psutil is a module providing an interface for retrieving information on all
running processes and system utilization (CPU, memory, disks, network, users) in
a portable way by using Python 3, implementing many functionalities offered by
command line tools such as: ps, top, df, kill, free, lsof, free, netstat,
ifconfig, nice, ionice, iostat, iotop, uptime, pidof, tty, who, taskset, pmap.

%package -n python%{python3_pkgversion}-psutil-tests
Summary:        %{sum}, test suite
Requires:       python%{python3_pkgversion}-psutil = %{?epoch:%{epoch}:}%{version}-%{release}

%description -n python%{python3_pkgversion}-psutil-tests
The test suite for psutil.

%package -n     python%{python3_pkgversion}-psutil-doc
Summary:        doc files for python%{python3_pkgversion}-psutil
Requires:       python%{python3_pkgversion}-psutil = %{version}-%{release}

%description -n python%{python3_pkgversion}-psutil-doc
doc files for python%{python3_pkgversion}-psutil

%prep
%autosetup -p1 -n %{srcname}-release-%{version}

# Remove shebangs
find psutil -name \*.py | while read file; do
  sed -i.orig -e '1{/^#!/d}' $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%if ! 0%{?flatpak}
%check
make test APPVEYOR=1 PYTHON=%{__python3} PYTHONPATH=%{buildroot}/%{python3_sitearch} --ignore psutil/tests/test_linux.py
%endif

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc CREDITS
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-%{version}.dist-info
%exclude %{python3_sitearch}/%{srcname}/tests

%files -n python%{python3_pkgversion}-%{srcname}-tests
%{python3_sitearch}/%{srcname}/tests/

%files -n python%{python3_pkgversion}-%{srcname}-doc
%doc README.rst HISTORY.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 5.9.2-2
- Rebuild with python3.11

* Wed Mar 22 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.9.2-1
- Init upstream from version 5.9.2
